Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.discovery
Interface MulticastRequestEncoder

All Superinterfaces:
  DiscoveryFormatProvider

public interface MulticastRequestEncoder
extends DiscoveryFormatProvider

Interface implemented by classes which encode multicast request data according to discovery protocol formats.

Since:
  2.0

Method Summary
`void` | `encodeMulticastRequest(MulticastRequest request, DatagramBufferFactory bufs, InvocationConstraints constraints)` Encodes the given multicast request data into byte buffers obtained from the provided datagram buffer factory, in a manner that satisfies the specified absolute constraints.

Methods inherited from interface com.sun.jini.discovery.DiscoveryFormatProvider
`getFormatName`

Method Detail

### encodeMulticastRequest

    public void encodeMulticastRequest(MulticastRequest request,
                                       DatagramBufferFactory bufs,
                                       InvocationConstraints constraints)
                                throws IOException

  Encodes the given multicast request data into byte buffers obtained from the provided datagram buffer factory, in a manner that satisfies the specified absolute constraints. `null` constraints are considered equivalent to empty constraints. Multicast request data that is too large to fit in a single datagram buffer is split across multiple buffers, with the constraints applied to each; this method is responsible for determining if and when to split the data based on the available space in the obtained buffers.

  Parameters:
    `request` - the request data to encode
    `bufs` - the factory for producing buffers in which to write encoded data
    `constraints` - the constraints to apply when encoding the data, or `null`
  Throws:
    `IOException` - if an error occurs in encoding the data to send
    `UnsupportedConstraintException` - if unable to satisfy the specified constraints
    `SecurityException` - if the given constraints cannot be satisfied due to insufficient caller permissions
    `NullPointerException` - if `request` or `bufs` is `null` Throws IOException if an error occurs in encoding the data to send. Throws UnsupportedConstraintException if unable to satisfy the specified constraints. Throws SecurityException if the given constraints cannot be satisfied due to insufficient caller permissions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved